aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorLloyd Pique <lpique@google.com>2015-10-27 14:32:21 -0700
committerLloyd Pique <lpique@google.com>2015-10-27 14:55:47 -0700
commit818c5d8cc721053be659c92b5772179149058830 (patch)
treed8dffaf7edea7838f4bebe2433dddcfc05aebebe /autogen.sh
downloadwayland-818c5d8cc721053be659c92b5772179149058830.tar.gz
cheets: Add external/wayland and external/cheets-libffi
wayland-client will be used by the hardware composer. libffi is required by libwayland-client. BUG=b/25324609 TEST=drm_hwcomposer.cpp compiles/links when including "wayland-client.h" and calling wl_display_connect(NULL) Change-Id: I2d05e174b5044b11fae798d93ef2fd1090b70f1f
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..916169a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,9 @@
+#! /bin/sh
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+(
+ cd "$srcdir" &&
+ autoreconf --force -v --install
+) || exit
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"